qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aidan Skinner (JIRA)" <qpid-...@incubator.apache.org>
Subject [jira] Commented: (QPID-2273) Java client can't negotiate to 0-9
Date Thu, 17 Dec 2009 02:34:18 GMT

    [ https://issues.apache.org/jira/browse/QPID-2273?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12791749#action_12791749
] 

Aidan Skinner commented on QPID-2273:
-------------------------------------

That patch breaks RabbitMQ 0-9-1 tests, I think because we always report the highest available
version and not the one that they ask for. I can't really see why that changes with that patch
though. Quite confused...

> Java client can't negotiate to 0-9
> ----------------------------------
>
>                 Key: QPID-2273
>                 URL: https://issues.apache.org/jira/browse/QPID-2273
>             Project: Qpid
>          Issue Type: Bug
>          Components: Java Client
>    Affects Versions: 0.6
>            Reporter: Aidan Skinner
>            Assignee: Aidan Skinner
>            Priority: Blocker
>             Fix For: 0.6
>
>         Attachments: 0001-QPID-2273-make-protocol-negotiation-saner.patch, protocol_negotiation_madness.diff
>
>
> For instance, if you try connecting a trunk client to a 0.5 broker it fails. This is
due to the delegate using the wrong ProtocolVersion. 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:dev-subscribe@qpid.apache.org


Mime
View raw message